#ifndef RENDERTARGET_H
#define RENDERTARGET_H

#include <stdint.h>

class Texture2D;
class RenderDevice;

class RenderTarget
{
	friend class RenderDevice;
public:
	// #TODO: Little hack
	static void setDefaultFramebuffer();

public:
	RenderTarget();
	~RenderTarget();
	
	void create(const char* name = nullptr);
	void destroy();

	void finialize();

	void attachColorTexture(int slot, Texture2D* texture);
	void attachDepthTexture(Texture2D* texture);
	
private:
	uint32_t m_framebuffer;
	
};

#endif